cascading.stats.tez.util

## Interface TimelineClient

- All Known Implementing Classes:
    TezTimelineClient

      public interface TimelineClient

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskStatus` | `getVertexChild(java.lang.String taskID)`
    `java.util.Iterator<TaskStatus>` | `getVertexChildren(java.lang.String vertexID, int limit, java.lang.String startTaskID)`
    `java.lang.String` | `getVertexID(java.lang.String vertexName)`

- - ### Method Detail

    - #### getVertexID

          java.lang.String getVertexID(java.lang.String vertexName)
                                       throws java.io.IOException,
                                              org.apache.tez.dag.api.TezException

      Throws:
        `java.io.IOException`
        `org.apache.tez.dag.api.TezException`

    - #### getVertexChildren

          java.util.Iterator<TaskStatus> getVertexChildren(java.lang.String vertexID,
                                                         int limit,
                                                         java.lang.String startTaskID)
                                                           throws java.io.IOException,
                                                                  org.apache.tez.dag.api.TezException

      Throws:
        `java.io.IOException`
        `org.apache.tez.dag.api.TezException`

    - #### getVertexChild

          TaskStatus getVertexChild(java.lang.String taskID)
                                    throws org.apache.tez.dag.api.TezException

      Throws:
        `org.apache.tez.dag.api.TezException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.